//////////////////////////////////////////
// BMPViewer.cpp
//Copyright (c) 09/08/2002 by BCCSkelton
//////////////////////////////////////////
#include	"BMPViewer.h"
//☆ユーザーヘッダーファイルはここで読みこむ
#include	"User.h"
#include	"BMPViewerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//☆２重起動防止を有効にする
	if(!BMPViewer.IsOnlyOne()) {
		HWND hWnd = FindWindow("MainWnd", "BMPViewer");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, WndProc, "IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	BMPViewer.Init("MainWnd", hInstance, SDIPROC, "IDM_MAIN", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!BMPViewer.Create("BMPViewer"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	BMPViewer.InclAccel("IDA_ACCEL");

	//メッセージループに入る
	return BMPViewer.Loop();
}
